package com.ravi.jmsclient;

import java.util.Properties;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.MessageProducer;
import javax.jms.Queue;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.naming.InitialContext;

/**
 * JMS Client
 * 
 */
public class JMSCllientLookup {
    public static void main(String[] args) throws Exception {
        Properties p = new Properties();
        p.setProperty("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory");
        p.setProperty("factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces");
        p.setProperty("java.naming.provider.url", "jnp://localhost:1099");

        InitialContext ic = new InitialContext(p);
        ConnectionFactory cf = (ConnectionFactory) ic.lookup("/ConnectionFactory");
        Queue orderQueue = (Queue) ic.lookup("/queue/exampleQueue");
        Connection connection = cf.createConnection();
        Session session = connection.createSession(false, Session.AUTO_ACKNOWLEDGE);
        MessageProducer producer = session.createProducer(orderQueue);
        connection.start();
        TextMessage message = session.createTextMessage("This is an order");
        producer.send(message);
        // Close resources
        if (ic != null) {
            ic.close();
        }
        if (connection != null) {
            connection.close();
        }
        System.out.println("Message Sent!");
    }
}
